/* rc-stuff functional styles */

@media all {
    /* toggle */
    .rc-link {
        display: block;
        text-decoration: none;
        color: currentColor;
        cursor: pointer;
    }
    /* rc-load */
    .rc-load-hide {
        display: none;
    }
    .rc-load-show {
        display: block;
    }
    .rc-load-success > .rc-hide-on-success {
        display: none;
    }
    /* rc-container */
    .rc-container-enabled,
    .rc-head .rc-html-orig,
    .rc-open .rc-show-closed,
    .rc-show-opened {
        display: none;
    }
    .rc-show-closed,
    .rc-open .rc-show-opened {
        display: block;
    }
    .rc-container-toggle {
        display: none;
    }
    .rc-container-toggle.rc-head {
        display: block;
    }
}

/* mobile toggle  */

@media all {
    .page-header .sf-menu {
        display: none;
    }
    .nav-toggle {
        color: rgb(0, 113, 187);
        line-height: 1;
    }
    .nav-toggle-link {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 2.5rem;
        height: 2.5rem;
        border: 2px solid currentColor;
        border-radius: 100%;
        color: inherit;
        margin: 0.625rem;
    }
    .nav-toggle-open .nav-toggle-link {
        display: none;
    }
    .nav-icon-menu {
        display: block;
        border-top: 0.125rem solid currentColor;
        border-bottom: 0.125rem solid currentColor;
        padding: 0.2rem 0;
        width: 1rem;
    }
    .nav-icon-menu:before {
        content: "";
        background: currentColor;
        display: block;
        height: 0.125rem;
    }
    /* dim page */
    .mm-wrapper__blocker {
        background: rgba(0, 0, 0, 0.25);
    }
    /* offcanvas content */
    .page-mobile-searchlangnav {
        position: relative;
        display: flex;
        align-items: flex-start;
        color: rgb(51, 51, 51);
        padding: calc(5.625rem + 2px) 0.625rem 0.625rem;
    }
    .page-mobile-searchlangnav::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        height: calc(5rem + 2px);
        background-image: url("../Images/poetter-klima.svg");
        background-size: 14rem;
        background-position: center center;
        background-repeat: no-repeat;
        border-bottom: 2px solid rgb(237, 237, 237);
    }
    .page-mobile-searchlangnav > div {
        margin: 0.625rem;
        background: rgb(237, 237, 237);
    }
    .page-mobile-searchlangnav .searchbox-inner {
        background: none;
    }
    .page-mobile-searchlangnav .search-word {
        padding: 0.625rem;
        line-height: 1;
        height: 2.5rem;
    }
    .mm-menu {
        --mm-color-background: rgb(255, 255, 255);
        qqq--mm-navbar-size: 88px;
        --mm-color-border: transparent;
    }
    .mm-navbar.mm-navbar_size-2 {
        height: 154px;
    }
    .mm-navbars_bottom .mm-navbar.mm-navbar_size-2 {
        height: 80px;
    }
    .mm-navbar .search-word {
        padding: 0 0.625rem !important;
    }
    .mm-menu_navbar_top-2 .mm-panels {
        top: 154px;
    }
    .mm-navbars_bottom .mm-menu_navbar_top-2 .mm-panels {
        top: 80px;
    }
    .mm-panel .icon {
        width: 3.125em;
        height: 3.125em;
        flex-shrink: 0;
        margin-left: -0.3125rem;
        margin-right: 0.625rem;
        float: left;
    }
    .mm-listitem__text {
        display: flex !important;
        align-items: center;
        padding: 5px 10px 5px 20px;
        min-height: 60px;
        white-space: normal;
    }
    .mm-listitem[data-menu-uid="24"] {
        padding-bottom: 22px;
    }
    .mm-listitem[data-menu-uid="24"]::after {
        right: 20px;
        bottom: 10px;
        height: 2px;
        background: rgb(237, 237, 237);
    }
    .mm-btn_next::after {
        -webkit-transform: unset;
        -ms-transform: unset;
        transform: unset;
        right: 30px;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 6px 0 6px 6px;
        border-color: transparent transparent transparent rgb(0, 113, 187);
    }
    .mm-btn_next::before {
        content: "";
        position: absolute;
        top: 10px;
        bottom: 10px;
        border-color: rgb(0, 113, 187);
        border-width: 0 0 0 2px;
    }
    .mm-btn_prev::after {
        content: "";
        position: absolute;
        top: 2px;
        bottom: 2px;
        right: 0;
        border-color: rgb(0, 113, 187);
        border-width: 0 0 0 2px;
    }
    .mm-btn_prev::before {
        -webkit-transform: unset;
        -ms-transform: unset;
        transform: unset;
        right: 30px;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 6px 0 6px 6px;
        border-color: transparent transparent transparent rgb(0, 113, 187);
        transform: rotate(180deg);
    }
    .mm-wrapper__blocker a {
        position: absolute;
        top: 2.5rem;
        right: 0.625rem;
        display: block;
        width: 2.5rem;
        height: 2.5rem;
        color: rgb(255, 255, 255) !important;
        border: 2px solid currentColor;
        border-radius: 100%;
        transform: translateY(-50%);
    }
    .mm-wrapper__blocker a::after,
    .mm-wrapper__blocker a::before {
        content: "";
        background: currentColor;
        display: block;
        height: 0.125rem;
        position: absolute;
        left: 0.25rem;
        right: 0.25rem;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg) translate(0.75rem, 0.75rem);
    }
    .mm-wrapper__blocker a::after {
        -webkit-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        transform: rotate(-45deg) translate(-0.75rem, 0.75rem);
    }
    .menu .item {
        color: inherit;
        text-decoration: none;
    }
    .mm-menu .menu .item:focus,
    .mm-menu .menu .item:hover {
        color: rgb(0, 113, 187) !important;
    }
    .mm-menu a:active,
    .mm-menu a:hover {
        color: rgb(0, 113, 187) !important;
    }
    .mm-menu a,
    .mm-menu a:link {
        color: #333 !important;
    }
    .mm-menu .sf-mainnav .item .item-inner {
        display: table;
        height: 3.125em;
    }
    .mm-menu .sf-mainnav .item .item-inner span {
        display: table-cell;
        vertical-align: middle;
        width: 66em;
    }
    .mm-listitem:not(.sf-has-sub) {
        /* height: 2.5em; */
    }
    a.mm-navbar__title {
        margin-left: 1em;
    }
}

/* language selector */

@media all {
    .lang-toggle {
        display: block;
        border: 0;
        color: inherit;
        background: none;
        padding: 0.625rem;
        text-transform: inherit;
        line-height: 1;
        white-space: nowrap;
        height: 2.5rem;
    }
    .lang-toggle .fa {
        margin-left: 0.5em;
    }
    .langnav .item {
    }
    .langnav .lang-disabled {
        opacity: 0.5;
    }
    .langnav .icon-flag {
        position: relative;
        overflow: hidden;
        width: 1em;
        height: 1em;
        display: inline-block;
        border-radius: 100%;
        clip-path: circle(50%);
        margin-right: 0.25em;
        box-shadow: inset 0 0 3px rgb(0, 0, 0);
        vertical-align: top;
    }
    .langnav .icon-flag svg {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        height: 1em;
    }
    .langnav .menu {
        display: none;
    }
    .langnav .menu[aria-hidden="false"] {
        display: block;
        position: absolute;
        z-index: 2;
    }
    .langnav li {
        border: 0 !important;
    }
    .langnav .menu {
        box-shadow: 0 0 1em rgba(0, 0, 0, 0.25);
        background: rgb(255, 255, 255);
    }
    .langnav .item {
        border-top: 1px solid rgba(0, 0, 0, 0.25);
        padding: 0.625rem;
        text-align: left;
        white-space: nowrap;
    }
    .langnav .lang-selected {
        background: none;
        border: 0 !important;
        clip: rect(1px, 1px, 1px, 1px) !important;
        -webkit-clip-path: inset(50%) !important;
        clip-path: inset(50%) !important;
        height: 1px !important;
        overflow: hidden !important;
        padding: 0 !important;
        position: absolute !important;
        width: 1px !important;
        white-space: nowrap !important;
    }
    .lang-selected {
        background: rgba(0, 0, 0, 0.05);
    }
    .lang-disabled {
        -webkit-filter: grayscale(100%);
        filter: grayscale(100%);
    }
}

/* subnav */

@media all {
    .subnav {
        clear: both;
        border-style: solid;
        border-color: rgb(51, 51, 51);
        border-width: 2px 0;
        background-color: rgb(255, 255, 255);
    }
    .subnav .item {
        line-height: 1.1;
        padding: 0.625rem;
        padding-left: 1.25rem;
        text-decoration: none;
        color: rgb(51, 51, 51);
        border-bottom: 1px solid rgb(204, 204, 204);
        overflow: visible !important;
    }
    .subnav .current > .item {
        position: relative;
    }
    .subnav .current > .item::before {
        position: absolute;
        left: 0.625rem;
        top: 49%;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
        content: "";
        display: block;
        width: 0;
        height: 0;
        border-top: 0.325em solid transparent;
        border-bottom: 0.325em solid transparent;
        border-left: 0.325em solid rgba(0, 0, 0, 0.25);
    }
    .subnav {
        overflow: hidden;
    }
    .subnav .sub {
        position: relative;
        background-color: rgba(0, 0, 0, 0.05);
        box-shadow: 0 0 1.25em rgba(0, 0, 0, 0.125) inset;
        margin: 0 -0.5em;
        padding: 0 0.5em;
    }
    .subnav .sub .item {
        padding-left: 1.875em;
    }
    .subnav .sub .sub .item {
        padding-left: 1.5em;
    }
    .subnav .sub .sub .sub .item {
        padding-left: 1.75em;
    }
    .subnav .item:focus,
    .subnav .item:hover {
        color: rgb(255, 255, 255);
        background: rgb(51, 51, 51);
    }
}

/* footernav and totop */

@media all {
    .footernav {
        margin-left: -0.3125rem;
        float: left;
    }
    .footernav li {
        display: inline-block;
    }
    .footernav .item {
        display: inline-block;
        padding: 0.625rem 0.3125rem;
    }
    .totoplink {
        position: absolute;
        bottom: -9px;
        right: 0.625em;
        z-index: 1;
        background: url("../Icons/totoplink-bg.png") transparent no-repeat;
        background-position: 1px 8px;
        opacity: 1;
        padding: 0;
        line-height: 1;
        border-radius: 50%;
        width: 2.5rem;
        height: 2.5rem;
    }
    .totoplink::before {
        content: none !important;
    }
    .pagetop-text {
        position: absolute;
        bottom: 0;
        right: 3.25rem;
        z-index: 1;
        color: rgb(239, 62, 35);
        font-size: 112.5%;
    }
}

/* breadcrumbs */

@media all {
    .bc-label {
        margin: 0 0.625rem 0 0;
        line-height: 1;
        float: left;
    }
    .bc-path {
        display: flex;
        flex-wrap: wrap;
    }
    .bc-path .item {
        display: inline-block;
        font-weight: normal;
        text-decoration: none;
    }
    .bc-path .item:focus,
    .bc-path .item:hover {
        color: inherit;
        text-decoration: underline;
    }
    .bc-path li {
        display: flex;
        align-items: center;
        background-image: none !important;
        padding-left: 0 !important;
    }
    .bc-path li + li:before {
        content: ">";
        padding-left: 0.25em;
        padding-right: 0.25em;
    }
}

@media (min-width: 30em) {
    .rc-offcanvas-enabled .rc-offcanvas-right {
        width: 22rem;
        position: absolute;
        left: 100%;
        top: 0;
        height: 100%;
        overflow: auto;
    }
    .rc-offcanvas-enabled.rc-open {
        -webkit-transform: translate(-22rem, 0);
        /* android 2 */
        -ms-transform: translate(-22rem, 0);
        /* ie9 */
        transform: translate(-22rem, 0);
        -webkit-transform: translate3d(-22rem, 0, 0);
        /* android 3-4 */
        transform: translate3d(-22rem, 0, 0);
    }
    .totoplink {
        right: 1.25rem;
    }
    .pagetop-text {
        right: 4rem;
    }
}

/* tablet (without print) */

@media (min-width: 47.5em) {
    /* footer  */
    .footernav {
        width: auto;
    }
    .footernav li {
        float: left;
        margin-bottom: 0;
    }
    .footernav .item {
        display: block;
    }
    .footernav li + li {
        margin-left: 0.5em;
    }
}

/* desktop */

@media (min-width: 62.5em) {
    .mm-menu {
        display: none;
    }
    .nav-toggle {
        display: none;
    }
    .page-header .sf-menu {
        display: flex;
    }
    .topnav .sf-level-1 {
        margin: 0 0.625rem;
    }
    .topnav .item {
        line-height: 1;
        padding: 0.3125rem 0;
        white-space: nowrap;
    }
    .topnav .item-inner {
        padding: 0.3125rem;
    }
    .langnav {
        display: flex;
        position: relative;
        margin-left: 0.625rem;
        display: none;
        /* FIXME langnav wieder einblenden, wenn diese gewünscht wird*/
    }
    .lang-toggle {
        padding: 0;
    }
    .menu-lang {
        top: 100%;
    }
    /* superfish */
    .sf-menu,
    .sf-menu ul {
        margin: 0;
        padding: 0;
        list-style: none;
    }
    .sf-menu .sf-has-sub {
        position: relative;
    }
    .sf-menu .sf-sub {
        display: none;
        position: absolute;
        top: 100%;
        z-index: 99;
    }
    .sf-menu .sf-has-sub:hover > ul,
    .sf-menu .sf-has-sub.sfHover > ul {
        display: block;
    }
    .sf-menu .item {
        display: block;
        position: relative;
        text-overflow: ellipsis;
    }
    .sf-menu .sf-has-sub .sf-has-sub {
        top: 0;
        left: 100%;
    }
    .sf-menu > .sf-has-sub:last-child > .sf-sub {
        right: 0;
    }
    .sf-menu > .sf-has-sub:last-child > .sf-sub .sf-sub {
        right: 100%;
        left: auto;
    }
    .sf-hidden {
        display: none !important;
    }
    /* hide topnav items intended for mobile only */
    .sf-mainnav > li:nth-child(4) ~ li {
        display: none;
    }
    /* sf theme */
    /*    .sf-menu .sf-sub .active > .item,
        .sf-menu .sf-sub .current > .item,
        .sf-menu .item:active,
        .sf-menu .item:focus,
        .sf-menu .sf-sub:hover > .item {
            color: rgb(255,255,255);
            background: rgb(51,51,51);
        }*/
    /*    .sf-topnav > .current > .item,
        .sf-topnav > .active > .item {
            font-weight: 600;
            border-color: rgb(51,51,51);
        }*/
    .sf-sub {
        background: rgb(255, 255, 255);
        box-shadow: 0 0 1.25rem rgba(0, 0, 0, 0.25);
    }
    .sf-level-2 + .sf-level-2 {
        border-top: 1px solid rgb(237, 237, 237);
    }
    .sf-sub .sf-sub {
        border-left: 1px solid rga(237, 237, 237);
    }
    .sf-menu > .sf-has-sub:last-child > .sf-sub .sf-sub {
        border-left: none;
        border-right: 1px solid rgb(237, 237, 237);
    }
    /*    .sf-sub .item {
            color: rgb(51,51,51);
            background: rgb(255,255,255);
            margin: 0;
            padding: 0.625rem 1.25rem;
            border: none;
            text-align: left;
        }*/
    /* mainnav */
    .sf-mainnav .sf-level-1 {
        margin-left: 0.125rem;
        display: flex;
    }
    .sf-mainnav .sf-level-1 > .item,
    .sf-mainnav .sf-level-1 > .item > .item-overflow-clip {
        display: flex;
    }
    .sf-mainnav .sf-level-1 > .item > .item-overflow-clip {
        overflow: hidden;
        padding: 0 0.25rem;
    }
    .sf-mainnav .sf-level-1 > .item .item-inner {
        position: relative;
        display: flex;
        align-items: center;
        font-size: 87.5%;
        background-color: rgb(255, 255, 255);
        border: 0px solid rgb(237, 237, 237);
        border-top-width: 4px;
        border-bottom-width: 0;
        padding: 0.3125rem;
        max-width: 11rem;
        min-height: 5rem;
        box-shadow: 0 0 0.3125rem rgba(0, 0, 0, 0.15);
    }
    .sf-mainnav .icon {
        flex-shrink: 0;
        width: 2.5rem;
        height: 2.5rem;
        margin-right: 0.25em;
    }
    .sf-level-1.active > .item .icon,
    .sf-level-1.current > .item .icon {
        fill: rgb(255, 255, 255);
    }
    .sf-level-1.active > .item .item-inner,
    .sf-level-1.current > .item .item-inner {
        color: rgb(255, 255, 255);
        background-color: rgb(0, 113, 187);
    }
    .topnav .sf-level-1.active > .item .item-inner,
    .topnav .sf-level-1.current > .item .item-inner {
        color: inherit;
        background-color: rgb(255, 255, 255);
        border-bottom: 2px solid rgb(0, 113, 187);
    }
    .sf-level-2 .item {
        padding: 0.625rem 1.25rem;
    }
    /* megamenu */
    .sf-menu .sf-has-megasub {
        position: static;
    }
    .sf-mainnav .sfHover > .sf-with-ul {
        position: relative;
        z-index: 100;
    }
    .sf-mainnav .sfHover > .sf-with-ul::before {
        content: "";
        position: absolute;
        z-index: -1;
        bottom: 0;
        left: calc(50% - 1.25rem);
        box-shadow: 0 0 2.5rem rgba(0, 0, 0, 0.5);
        width: 2.5rem;
        height: 1.25rem;
    }
    .sf-mainnav .sfHover > .sf-with-ul::after {
        content: "";
        position: absolute;
        z-index: 0;
        top: 100%;
        left: calc(50% - 0.625rem);
        width: 1.25rem;
        border: 0.625rem solid transparent;
        border-top-color: currentColor;
        /* color set in theme-colors.css */
    }
    .sf-megasub {
        left: auto;
        right: -2.5rem;
        width: 100vw;
        box-shadow: none;
    }
    .sf-megasub .wrap-inner {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }
    .sf-megasub .ce-header {
        margin: 0;
    }
    .sf-megasub .ce-header-link,
    .sf-megasub .item {
        display: block;
        color: rgb(255, 255, 255);
        padding: 0.3125rem 1.25rem;
    }
    .sf-megasub .subpage a:hover,
    .sf-megasub .subpage a:focus,
    .sf-megasub .item:hover,
    .sf-megasub .item:focus,
    .sf-megasub .ce-header-link:hover,
    .sf-megasub .ce-header-link:focus,
    .sf-mainnav .sf-level-2 .item:hover,
    .sf-mainnav .sf-level-2 .item:focus {
        color: rgb(255, 255, 255) !important;
        background-color: rgba(0, 0, 0, 0.1);
        text-decoration: none;
    }
    .sf-megasub .ce-menu-pages .item {
        font-size: 125%;
        margin-bottom: 0.9375rem;
    }
    .sf-megasub .ce-grid {
        display: flex;
    }
    .sf-megasub .ce-col {
        border-left: 2px solid rgba(255, 255, 255, 0.25);
        border-right: 2px solid rgba(255, 255, 255, 0.25);
    }
    .sf-megasub .ce-col:first-child {
        border-left: none;
    }
    .sf-megasub .ce-col:last-child {
        border-right: none;
    }
    .sf-megasub .ce-col > .ce-element:last-child {
        margin-bottom: 0;
    }
    .sf-megasub .ce-gallery,
    .sf-megasub .ce-column {
        margin-bottom: 0;
        padding-bottom: 0;
    }
    .totoplink {
        right: 2.5rem;
    }
    .pagetop-text {
        right: 5.5rem;
        font-size: 125%;
    }
    .subpages .subpage a {
        color: white;
        padding-left: 2rem;
    }
}

@media (min-width: 92.5em) {
    .sf-megasub {
        right: 0;
        width: 87.5rem;
        padding-left: 0 !important;
    }
}

/* iconnav */

.iconnav {
    display: none;
}

.mm-menu .iconnav {
    display: block;
}

.page-desktop-iconnav .iconnav {
    padding: 0.125em 0.35em;
    background: #fff;
}

.mm-menu .iconnav a,
.iconnav a {
    display: inline-block;
    padding: 0.5em 2em;
    margin: 0.5em 0.25em;
    background: #0071bb;
    color: rgb(255, 255, 255) !important;
}

.mm-menu .page-mobile-iconnav .iconnav a {
    padding: 0.5em 1em;
    margin: 0.5em 0;
}
.mm-menu .page-mobile-iconnav .iconnav a[href*="karriere"] {
    padding: 0.75em 1em 0.5em 1em;
}

.iconnav a .fa {
    font-size: 1.5rem;
    margin: 0;
}

.iconnav a .fa-handshake-o {
    font-size: 120%;
}
.mm-menu .iconnav a:nth-of-type(3) {
    display: none;
}

.iconnav a:not(.btn):focus,
.iconnav a:not(.btn):hover {
    background: rgb(255, 255, 255);
    color: #0071bb !important;
}

@media (min-width: 62.5em) {
    .iconnav {
        display: block;
        position: absolute;
        right: 0;
        top: 33em;
    }
    .iconnav a {
        display: block;
        margin: 0.25em 0;
        padding: 0.5em;
    }
    .iconnav a .fa {
        margin: 0.25rem;
    }
}
